package cn.com.poc.law.convert;	

import cn.com.poc.law.model.BizAiLawyerWritingTemplateModel;
import cn.com.poc.law.entity.BizAiLawyerWritingTemplateEntity;
import cn.com.poc.law.dto.BizAiLawyerWritingTemplateDto;


public class BizAiLawyerWritingTemplateConvert {

    public static BizAiLawyerWritingTemplateEntity modelToEntity(BizAiLawyerWritingTemplateModel model){
        BizAiLawyerWritingTemplateEntity entity = new BizAiLawyerWritingTemplateEntity();
        entity.setLawyerWritingTemplateId(model.getLawyerWritingTemplateId());
        entity.setLawyerWritingTemplateType(model.getLawyerWritingTemplateType());
        entity.setLawyerWritingTemplateIcon(model.getLawyerWritingTemplateIcon());
        entity.setLawyerWritingTemplateName(model.getLawyerWritingTemplateName());
        entity.setLawyerWritingTemplateDesc(model.getLawyerWritingTemplateDesc());
        entity.setLawyerWritingTemplateCode(model.getLawyerWritingTemplateCode());
        entity.setLawyerWritingTemplateClassification(model.getLawyerWritingTemplateClassification());
        entity.setLawyerWritingTemplateQuestion(model.getLawyerWritingTemplateQuestion());
        return entity;
    }

    public static BizAiLawyerWritingTemplateModel entityToModel(BizAiLawyerWritingTemplateEntity entity){
        BizAiLawyerWritingTemplateModel model = new BizAiLawyerWritingTemplateModel();
        model.setLawyerWritingTemplateId(entity.getLawyerWritingTemplateId());
        model.setLawyerWritingTemplateType(entity.getLawyerWritingTemplateType());
        model.setLawyerWritingTemplateIcon(entity.getLawyerWritingTemplateIcon());
        model.setLawyerWritingTemplateName(entity.getLawyerWritingTemplateName());
        model.setLawyerWritingTemplateDesc(entity.getLawyerWritingTemplateDesc());
        model.setLawyerWritingTemplateCode(entity.getLawyerWritingTemplateCode());
        model.setLawyerWritingTemplateClassification(entity.getLawyerWritingTemplateClassification());
        model.setLawyerWritingTemplateQuestion(entity.getLawyerWritingTemplateQuestion());
        return model;
    }
    
    public static BizAiLawyerWritingTemplateDto entityToDto(BizAiLawyerWritingTemplateEntity entity){
        BizAiLawyerWritingTemplateDto dto = new BizAiLawyerWritingTemplateDto();
        dto.setLawyerWritingTemplateId(entity.getLawyerWritingTemplateId());
        dto.setLawyerWritingTemplateType(entity.getLawyerWritingTemplateType());
        dto.setLawyerWritingTemplateIcon(entity.getLawyerWritingTemplateIcon());
        dto.setLawyerWritingTemplateName(entity.getLawyerWritingTemplateName());
        dto.setLawyerWritingTemplateDesc(entity.getLawyerWritingTemplateDesc());
        dto.setLawyerWritingTemplateCode(entity.getLawyerWritingTemplateCode());
        dto.setLawyerWritingTemplateClassification(entity.getLawyerWritingTemplateClassification());
        dto.setLawyerWritingTemplateQuestion(entity.getLawyerWritingTemplateQuestion());
        return dto;
    }

    public static BizAiLawyerWritingTemplateEntity dtoToEntity(BizAiLawyerWritingTemplateDto dto){
        BizAiLawyerWritingTemplateEntity entity = new BizAiLawyerWritingTemplateEntity();
        entity.setLawyerWritingTemplateId(dto.getLawyerWritingTemplateId());
        entity.setLawyerWritingTemplateType(dto.getLawyerWritingTemplateType());
        entity.setLawyerWritingTemplateIcon(dto.getLawyerWritingTemplateIcon());
        entity.setLawyerWritingTemplateName(dto.getLawyerWritingTemplateName());
        entity.setLawyerWritingTemplateDesc(dto.getLawyerWritingTemplateDesc());
        entity.setLawyerWritingTemplateCode(dto.getLawyerWritingTemplateCode());
        entity.setLawyerWritingTemplateClassification(dto.getLawyerWritingTemplateClassification());
        entity.setLawyerWritingTemplateQuestion(dto.getLawyerWritingTemplateQuestion());
        return entity;
    }
}